pdf_Create()
pdf_AddPage()

pdf_SetFont("Arial","B",28)
text$="PurePDF Barcode Test Page"
len=pdf_GetStringWidth(text$)
pdf_Text(210/2-len/2,15,text$)

h1.f=14
w1.f=0.1905
w2.f=0.3175
w3.f=0.4445
w4.f=0.5715
w5.f=0.6985
edgebar.f=1.5
xoffset.f=0
yoffset.f=0.6

x.f=50:y.f=20:y1.f=20

pdf_SetFont("Arial","",6)

pdf_Barcode_EAN8(x,y,"5512345",h1,w3,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"EAN8"):x+x1:y+y1

pdf_Barcode_EAN13(x,y,"123456789012",h1,w3,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"EAN13"):x+x1:y+y1

pdf_Barcode_UPC_A(x,y,"34109876534" ,h1,w3,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Text(x-40,y+10,"UPC-A"):x+x1:y+y1

pdf_Barcode_UPC_E(x,y,"123456",h1,w3,#PDF_TEXT_BOTTOM,yoffset,edgebar,0) ; Number system=0
pdf_Text(x-40,y+10,"UPC-E"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"TEST",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEA)
;pdf_Text(x-40,y+10,"Code 128 A"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"test",h1,w3,#PDF_TEXT_BOTTOM|#PDF_TEXT_CENTER,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEB)
;pdf_Text(x-40,y+10,"Code 128 B"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"08154711",h1,w3,#PDF_TEXT_BOTTOM|#PDF_TEXT_RIGHT,xoffset,yoffset,#PDF_BARCODE_CODE128_CODEC)
;pdf_Text(x-40,y+10,"Code 128 C"):x+x1:y+y1

pdf_Barcode_Code128(x,y,"EP12345678A1234",h1,w3,#PDF_TEXT_BOTTOM|#PDF_TEXT_RIGHT,xoffset,yoffset,#PDF_BARCODE_CODE128_AUTO)
pdf_Text(x-40,y+10,"Code 128 Auto"):x+x1:y+y1

;pdf_Barcode_Code128(x,y,"TEST"+Chr(13)+"12345678",h1,w3,0,xoffset,yoffset,#PDF_BARCODE_CODE128_AUTOA)
;pdf_Text(x-40,y+10,"Code 128 AutoA"):x+x1:y+y1

pdf_Barcode_Code39(x,y,"TEST39",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 39"):x+x1:y+y1

;pdf_Barcode_Code39Full(x,y,"test39Full",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
;pdf_Text(x-40,y+10,"Code 39 Full"):x+x1:y+y1

pdf_Barcode_Code93(x,y,"TEST93",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"Code 93"):x+x1:y+y1

;pdf_Barcode_Code93(x,y,"!"+Chr(34)+"$%&/()=",h1,w3,#PDF_TEXT_BOTTOM|#PDF_TEXT_CENTER,xoffset,yoffset)
;pdf_Text(x-40,y+10,"Code93"):x+x1:y+y1

pdf_Barcode_Code2of5std(x,y,"1234567",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 2 of 5 standard"):x+x1:y+y1

pdf_Barcode_Code2of5(x,y,"12345670",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset,#True)
pdf_Text(x-40,y+10,"Code 2 of 5 interleaved"):x+x1:y+y1

pdf_Barcode_2Digit_Supp(x,y,"12",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"2 Digit-Supplement"):x+x1:y+y1

pdf_Barcode_5Digit_Supp(x,y,"99999",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"5 Digit-Supplement"):x+x1:y+y1

; ISBN test
pdf_Barcode_EAN13(x,y,"978389011528",h1,w3,#PDF_TEXT_BOTTOM,yoffset,edgebar,#True)
pdf_Barcode_5Digit_Supp(x+45,y+edgebar,"02980",h1,w3,#PDF_TEXT_TOP|#PDF_TEXT_RIGHT,xoffset,yoffset)
pdf_Text(x-40,y+10,"EAN13 + 5 Digit-Supplement"):x+x1:y+y1

pdf_Barcode_Codabar(x,y,"A0D",h1,w3,#PDF_TEXT_BOTTOM,xoffset,yoffset)
pdf_Text(x-40,y+10,"Codabar"):x+x1:y+y1

pdf_Save("Tutorial20.pdf")
; IDE Options = PureBasic v4.01 (Windows - x86)
; Folding = -
; EnableUnicode
; SubSystem = UserLibUnicode